//______________________________________________________________________________
//
//            Hlavikov soubor knihovny TEDIA_EP4GXA.DLL pro Delphi
//
//                                verze 3.0.10
//
//                   (c) 2015 TEDIA spol. s r. o. (11.6.2015)
// 
//                         http://www.tedia.cz/podpora
//
//______________________________________________________________________________
//______________________________________________________________________________
//______________________________________________________________________________


unit tedia_ep4gxa;

interface
uses Windows;

const
  EP4GXA_Ok			= $00000000;
  EP4GXA_BadIndex		= $00000002;
  EP4GXA_AlreadyOpened		= $00000004;
  EP4GXA_CardOpenErr		= $00000008;
  EP4GXA_IntEnableErr		= $00000020;
  EP4GXA_NotOpened		= $00000040;
  EP4GXA_BARErr			= $00000080;
  EP4GXA_IntDisabled		= $00000100;
  EP4GXA_StopIntThread		= $00000200;
  EP4GXA_NullPointer		= $00000400;
  EP4GXA_CreateEvent		= $00000800;
  EP4GXA_WaitTimeout		= $00001000;
  EP4GXA_IntPending		= $00010000;
  EP4GXA_OpenedSameProcess	= $00040000;
  EP4GXA_InvalidAddress		= $40000000;
  EP4GXA_VersionConflict	= $80000000;

type
  BOOL       = cardinal;
  DWORD      = cardinal;
  PDWORD     = ^DWORD;
  EP4GXA_RET = DWORD;

//_____________________________________________________________ EXPORTOVAN FCE


function EP4GXA_DriverVersion(ver:PDWORD) : EP4GXA_RET; stdcall;

function EP4GXA_InterfaceVersion : DWORD; stdcall;

function EP4GXA_CardsInSystem(count:PDWORD) : EP4GXA_RET; stdcall;

function EP4GXA_Card_DID(inx:DWORD; did:PDWORD) : EP4GXA_RET; stdcall;

function EP4GXA_Card_BUS(inx:DWORD; bus:PDWORD) : EP4GXA_RET; stdcall;

function EP4GXA_Card_SLOT(inx:DWORD; slot:PDWORD) : EP4GXA_RET; stdcall;

function EP4GXA_Open(inx:DWORD; enable_int:BOOL) : EP4GXA_RET; stdcall;

function EP4GXA_OpenMulti(inx:DWORD; enable_int:BOOL) : EP4GXA_RET; stdcall;

function EP4GXA_Card_OpenCount(inx:DWORD; count:PDWORD) : EP4GXA_RET; stdcall;

function EP4GXA_Close(inx:DWORD) : EP4GXA_RET; stdcall;

function EP4GXA_BAR0_BaseAdr(inx:DWORD; base_adr:PDWORD; range:PDWORD) : EP4GXA_RET; stdcall;

function EP4GXA_IRQ_Wait(inx:DWORD; reserve:PDWORD) : EP4GXA_RET; stdcall;

function EP4GXA_IRQ_Count(inx:DWORD) : DWORD; stdcall;

function EP4GXA_IRQ_SetTimeout(inx:DWORD; timeout:DWORD) : EP4GXA_RET; stdcall;

function EP4GXA_ReadReg8(inx:DWORD; offset:DWORD; data:PBYTE) : EP4GXA_RET; stdcall;
function EP4GXA_WriteReg8(inx:DWORD; offset:DWORD; data:BYTE) : EP4GXA_RET; stdcall;

function EP4GXA_ReadReg32(inx:DWORD; offset:DWORD; data:PDWORD) : EP4GXA_RET; stdcall;
function EP4GXA_WriteReg32(inx:DWORD; offset:DWORD; data:DWORD) : EP4GXA_RET; stdcall;


//________________________________________________________________ IMPLEMENTACE

implementation

function EP4GXA_DriverVersion;          external 'tedia_ep4gxa.dll';
function EP4GXA_InterfaceVersion;       external 'tedia_ep4gxa.dll';
function EP4GXA_CardsInSystem;          external 'tedia_ep4gxa.dll';
function EP4GXA_Card_DID;               external 'tedia_ep4gxa.dll';
function EP4GXA_Card_BUS;               external 'tedia_ep4gxa.dll';
function EP4GXA_Card_SLOT;              external 'tedia_ep4gxa.dll';
function EP4GXA_Open;                   external 'tedia_ep4gxa.dll';
function EP4GXA_OpenMulti;              external 'tedia_ep4gxa.dll';
function EP4GXA_Card_OpenCount;         external 'tedia_ep4gxa.dll';
function EP4GXA_Close;                  external 'tedia_ep4gxa.dll';
function EP4GXA_BAR0_BaseAdr;           external 'tedia_ep4gxa.dll';
function EP4GXA_IRQ_Wait;               external 'tedia_ep4gxa.dll';
function EP4GXA_IRQ_Count;              external 'tedia_ep4gxa.dll';
function EP4GXA_IRQ_SetTimeout;         external 'tedia_ep4gxa.dll';
function EP4GXA_ReadReg8;               external 'tedia_ep4gxa.dll';
function EP4GXA_WriteReg8;              external 'tedia_ep4gxa.dll';
function EP4GXA_ReadReg32;              external 'tedia_ep4gxa.dll';
function EP4GXA_WriteReg32;             external 'tedia_ep4gxa.dll';

//______________________________________________________________________________

begin
end.


